SuperLU: SRC/dsnode_dfs.c File Reference

SuperLU 7.0.0

Functions
dsnode_dfs.c File Reference

Determines the union of row structures of columns within the relaxed node. More...

`#include "slu_ddefs.h"`
Include dependency graph for dsnode_dfs.c:

## Functions
int_t | dsnode_dfs (const int jcol, const int kcol, const int_t *asub, const int_t *xa_begin, const int_t *xa_end, int_t *xprune, int *marker, GlobalLU_t *Glu)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 2.0) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

    Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

    THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
    EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

    Permission is hereby granted to use or copy this program for any
    purpose, provided the above notices are retained on all copies.
    Permission to modify the code and to distribute modified code is
    granted, provided the above notices are retained, and a notice that
    the code was modified is included with the above copyright notice.

## Function Documentation

## ◆ dsnode_dfs()

int_t dsnode_dfs | ( | const int | jcol,
|  | const int | kcol,
|  | const int_t * | asub,
|  | const int_t * | xa_begin,
|  | const int_t * | xa_end,
|  | int_t * | xprune,
|  | int * | marker,
|  | GlobalLU_t * | Glu
| ) |  |

    Purpose
    =======
       dsnode_dfs() - Determine the union of the row structures of those
       columns within the relaxed snode.
       Note: The relaxed snodes are leaves of the supernodal etree, therefore,
       the portion outside the rectangular supernode must be zero.

    Return value
    ============
        0   success;
       >0   number of bytes allocated when run out of memory.

Here is the call graph for this function: